* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --bg: #0a0816;
    --text: #8c8a9a;
    --text-bright: #d9d3ff;
}

*::selection {
  color: var(--bg);
  background-color: var(--text-bright);
}

body {
    background-color: var(--bg);
    color: var(--text);
    font-family: 'JetBrains Mono', monospace;
    display: flex;
    align-items: center;
    flex-direction: column;
}

img {
    -ms-user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.logobox {
    background-color: var(--text-bright);
    color: var(--bg);
    padding: 5px;
    margin: 20px;
    -ms-user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.logobox span {
    font-size: 16px;
    font-weight: normal;
    font-style: italic;
    line-height: 16px;
}
.logobox h1 {
    font-size: 70px;
    font-weight: bold;
    line-height: 70px;
}
.logobox h3 {
    font-size: 20px;
    font-weight: bolder;
    line-height: 20px;
}

.weatherbox {
    display: flex;
    flex-direction: row;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.weatherbox img {
    width: 25px;
    height: 25px;
}
.weatherbox span {
    font-size: 20px;
    display: inline;
    text-align: center;
}

.box {
    width: 500px;
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    margin-bottom: 10px;
}

.box .links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.box .links a {
    width: 90%;
    margin: 10px;
    padding: 5px;
    height: 50px;
    border: 3px solid var(--text-bright);
    color: var(--text-bright);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 20px;
    font-weight: normal;
    transition: 0.25s;
    -ms-user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    gap: 10px;
}
.box .links a:hover {
    background-color: var(--text-bright);
}
.box .links a:hover img {
    filter: invert(100%);
}
.box .links a:hover span {
    filter: invert(100%);
}
.box .links a:active {
    background-color: var(--text-bright);
    transform: scale(0.9);
}
.box .links a:active img {
    filter: invert(100%);
}
.box .links a:hover span {
    filter: invert(100%);
}

.box .links a img {
    height: 25px;
}

.donationbox h2 {
    font-size: 16px;
    font-style: italic;
}

@media screen and (max-width: 520px) {
    .box {
        width: 100%;
        margin-left: 10px;
        margin-right: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }
    .weatherbox {
        margin-left: 10px;
        margin-right: 10px;
    }
}

@media screen and (max-width: 340px) {
    .logobox span {
        font-size: 12px;
        font-weight: normal;
        font-style: italic;
        line-height: 12px;
    }
    .logobox h1 {
        font-size: 53px;
        font-weight: bold;
        line-height: 53px;
    }
    .logobox h3 {
        font-size: 15px;
        font-weight: bolder;
        line-height: 15px;
    }
}


@media screen and (max-width: 270px) {
    .logobox span {
        font-size: 8px;
        font-weight: normal;
        font-style: italic;
        line-height: 8px;
    }
    .logobox h1 {
        font-size: 35px;
        font-weight: bold;
        line-height: 35px;
    }
    .logobox h3 {
        font-size: 10px;
        font-weight: bolder;
        line-height: 10px;
    }
}
